package com.bonus.canteen.core.utils.oos;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

//@Component
@ConfigurationProperties(
   prefix = "oss"
)
public class OssProperties {
   private String endpoint;
   private String customDomain;
   private Boolean pathStyleAccess = true;
   private String appId;
   private String region;
   private String accessKey;
   private String secretKey;
   private String bucketName = "lnyst";
   private Boolean useHttp = false;
   private Integer expiresTime = 604800;
   private Boolean useToken = false;

   public String getEndpoint() {
      return this.endpoint;
   }

   public String getCustomDomain() {
      return this.customDomain;
   }

   public Boolean getPathStyleAccess() {
      return this.pathStyleAccess;
   }

   public String getAppId() {
      return this.appId;
   }

   public String getRegion() {
      return this.region;
   }

   public String getAccessKey() {
      return this.accessKey;
   }

   public String getSecretKey() {
      return this.secretKey;
   }

   public String getBucketName() {
      return this.bucketName;
   }

   public Boolean getUseHttp() {
      return this.useHttp;
   }

   public Integer getExpiresTime() {
      return this.expiresTime;
   }

   public Boolean getUseToken() {
      return this.useToken;
   }

   public void setEndpoint(final String endpoint) {
      this.endpoint = endpoint;
   }

   public void setCustomDomain(final String customDomain) {
      this.customDomain = customDomain;
   }

   public void setPathStyleAccess(final Boolean pathStyleAccess) {
      this.pathStyleAccess = pathStyleAccess;
   }

   public void setAppId(final String appId) {
      this.appId = appId;
   }

   public void setRegion(final String region) {
      this.region = region;
   }

   public void setAccessKey(final String accessKey) {
      this.accessKey = accessKey;
   }

   public void setSecretKey(final String secretKey) {
      this.secretKey = secretKey;
   }

   public void setBucketName(final String bucketName) {
      this.bucketName = bucketName;
   }

   public void setUseHttp(final Boolean useHttp) {
      this.useHttp = useHttp;
   }

   public void setExpiresTime(final Integer expiresTime) {
      this.expiresTime = expiresTime;
   }

   public void setUseToken(final Boolean useToken) {
      this.useToken = useToken;
   }
}
